## DSD enumerations and flags DSD enumerations and flags |

## Functions

const gchar * | qmi_dsd_apn_type_get_string ()
gchar * | qmi_dsd_apn_type_preference_build_string_from_mask ()

## Types and Values

enum | QmiDsdApnType
enum | QmiDsdApnTypePreference

## Object Hierarchy

        GEnum
        ╰── QmiDsdApnType

## Description

This section defines enumerations and flags used in the DSD service interface.

## Functions

### qmi_dsd_apn_type_get_string ()

    const gchar *
    qmi_dsd_apn_type_get_string (QmiDsdApnType val);

Gets the nickname string for the QmiDsdApnType specified at `val` .

#### Parameters

val | a QmiDsdApnType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.26

### qmi_dsd_apn_type_preference_build_string_from_mask ()

    gchar *
    qmi_dsd_apn_type_preference_build_string_from_mask
                                   (QmiDsdApnTypePreference mask);

Builds a string containing a comma-separated list of nicknames for each QmiDsdApnTypePreference in `mask` .

#### Parameters

mask | bitmask of QmiDsdApnTypePreference values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.26

## Types and Values

### enum QmiDsdApnType

APN type.

#### Members

QMI_DSD_APN_TYPE_DEFAULT | Default/Internet traffic. |
QMI_DSD_APN_TYPE_IMS | IMS. |
QMI_DSD_APN_TYPE_MMS | Multimedia Messaging Service. |
QMI_DSD_APN_TYPE_DUN | Dial Up Network. |
QMI_DSD_APN_TYPE_SUPL | Secure User Plane Location. |
QMI_DSD_APN_TYPE_HIPRI | High Priority Mobile Data. |
QMI_DSD_APN_TYPE_FOTA | over the air administration. |
QMI_DSD_APN_TYPE_CBS | Carrier Branded Services. |
QMI_DSD_APN_TYPE_IA | Initial Attach. |
QMI_DSD_APN_TYPE_EMERGENCY | Emergency. |

Since: 1.26

### enum QmiDsdApnTypePreference

APN type preference as a bitmask.

#### Members

QMI_DSD_APN_TYPE_PREFERENCE_DEFAULT | Default/Internet traffic. |
QMI_DSD_APN_TYPE_PREFERENCE_IMS | IMS. |
QMI_DSD_APN_TYPE_PREFERENCE_MMS | Multimedia Messaging Service. |
QMI_DSD_APN_TYPE_PREFERENCE_DUN | Dial Up Network. |
QMI_DSD_APN_TYPE_PREFERENCE_SUPL | Secure User Plane Location. |
QMI_DSD_APN_TYPE_PREFERENCE_HIPRI | High Priority Mobile Data. |
QMI_DSD_APN_TYPE_PREFERENCE_FOTA | over the air administration. |
QMI_DSD_APN_TYPE_PREFERENCE_CBS | Carrier Branded Services. |
QMI_DSD_APN_TYPE_PREFERENCE_IA | Initial Attach. |
QMI_DSD_APN_TYPE_PREFERENCE_EMERGENCY | Emergency. |

Since: 1.26